Subject: bug#40273: installer: No way to input Latin characters with non-Latin keyboard layouts

From: Ludovic Courtès <[email-masked]>
Date: Sun, 29 Mar 2020 17:04:11 +0200

Hi Florian,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> After selecting non-Latin keyboard layouts in the graphical installer,
> there is no way to input Latin characters again.  This means hostname,
> username, password, the home directory path /home/… cannot be
> specified in Latin.
>
> There either should be a way to switch the keyboard layout later on.
> For example currently there is neither a place in the GUI to switch
> the layout nor key combinations or (on a Japanese keyboard) support
> for the keyboard’s romaji key to switch layouts.  Of course typing
> `loadkeys` is impossible too.
>
> Or the keyboard layout should not be switched to non-Latin.  For
> example, when choosing Arabic AZERTY layout, during install the
> keyboard should be switched to Latin AZERTY layout and not Arabic.

How do other distros handle it?  Is there a hot key to switch back to a
Latin layout?  If so, which one?

Thanks,
Ludo’.